.doc-markdown{
  margin-bottom: var(--spacer-default);

  &__toc {
    &__wrapper {
      position: sticky;
      top: 0
    }

    &__content {
      font-size: var(--font-size-smaller);

      ol, ul {
        padding: 0;
        margin: 0;

        ol, ul {
          padding-left: var(--spacer-default);
        }

        a {
          display: block;
          padding: var(--spacer-tiny) var(--spacer-default);
          color: var(--foreground-color);

          &:hover {
            background: var(--background-color-alt);
          }
        }
      }
    }
  }

  &__content {
    padding-left: var(--spacer-medium);
    overflow-x: hidden;

    h1,h2,h3,h4,h5,h6{
      display: flex;
      align-items: center;
      gap: var(--spacer-default);
    }
  }

  &--toc {
    display: grid;
    grid-gap: var(--spacer-default);
    grid-template-columns: 1fr 6fr;
  }
}

.-doc-permalink {

  // Goes well with the gap between content and toc
  position: relative;
  margin-left: calc(0px - var(--spacer-medium));
  color: var(--state-color-mute);
  font-size: var(--font-size-base);

  &:visited {
    color: var(--state-color-mute);
  }

  &:hover {
    color: var(--link-color);
  }
}
